package com.sundot.airport.ledger.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sundot.airport.ledger.domain.LedgerSecurityTest;
import com.sundot.airport.common.dto.LedgerCommonQueryReqVO;
import com.sundot.airport.common.dto.LedgerCommonResVO;

/**
 * 安保测试记录Mapper接口
 */
public interface LedgerSecurityTestMapper extends BaseMapper<LedgerSecurityTest> {
    List<LedgerSecurityTest> selectList(LedgerSecurityTest query);

    int updateSyncFlag();

    List<LedgerCommonResVO> securityTestItemClassification(LedgerCommonQueryReqVO queryReq);

    List<LedgerCommonResVO> securityTestPassingStatus(LedgerCommonQueryReqVO queryReq);

    List<LedgerCommonResVO> securityTestRegion(LedgerCommonQueryReqVO queryReq);
}
